Solved After installing kodi getting "Command 'kodi' not found"
#1
Can someone please help me figure out why I cannot install kodi on ubuntu desktop 20.04

I have repeatedly followed these steps to no avail https://kodi.wiki/view/HOW-TO:Install_Kodi_for_Linux

Steps I have taken


$ sudo apt purge kodi # just verifying it was not installed
$ sudo apt install software-properties-common # already on the latest version
$ sudo add-apt-repository -y ppa:team-xbmc/ppa #
$ ls -l /etc/apt/sources.list.d/
total 12
-rw-rw-r-- 1 root root 227 Jan 14 20:39 plexmediaserver.list
-rw-rw-r-- 1 root root 227 Jan 14 20:39 plexmediaserver.list.save
-rw-r--r-- 1 root root 128 Jan 14 20:39 team-xbmc-ubuntu-ppa-focal.list
-rw-r--r-- 1 root root   0 Jan 14 20:39 team-xbmc-ubuntu-ppa-focal.list.save
$ sudo apt update
$ sudo apt install kodi # is the package for debian only 40mb?
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  fonts-noto-core fonts-noto-hinted fonts-noto-ui-core fonts-roboto-unhinted javascript-common kodi-visualization-spectrum
  libjs-iscroll libjs-jquery libpython2-stdlib python-olefile python-pil python-pycryptodome python2 python2-minimal python2.7
  python2.7-minimal
Use 'sudo apt autoremove' to remove them.
Suggested packages:
  kodi-pvr-mythtv kodi-pvr-vdr-vnsi kodi-pvr-tvheadend-hts kodi-pvr-dvbviewer kodi-pvr-iptvsimple kodi-audioencoder-vorbis
  kodi-audioencoder-flac kodi-audioencoder-lame
The following NEW packages will be installed:
  kodi
0 upgraded, 1 newly installed, 0 to remove and 16 not upgraded.
Need to get 0 B/20.3 MB of archives.
After this operation, 41.2 MB of additional disk space will be used.
Selecting previously unselected package kodi.
(Reading database ... 171550 files and directories currently installed.)
Preparing to unpack .../kodi_6%3a19.3+git20211024.1813-49a04cd6a7-0~focal_all.deb ...
Unpacking kodi (6:19.3+git20211024.1813-49a04cd6a7-0~focal) ...
Setting up kodi (6:19.3+git20211024.1813-49a04cd6a7-0~focal) ...
Processing triggers for mime-support (3.64ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.36.0-1ubuntu1) ...
Processing triggers for man-db (2.9.1-1) ...
Processing triggers for desktop-file-utils (0.24-1ubuntu3) ...
$ kodi
Command 'kodi' not found, but can be installed with:
$ systemctl stuats kodi
Unknown operation stuats.
$ systemctl status kodi
Unit kodi.service could not be found.
$ service kodi status
Unit kodi.service could not be found.

From what I can tell it did install

$ dpkg -L kodi
/.
/usr
/usr/share
/usr/share/applications
/usr/share/applications/kodi.desktop
/usr/share/doc
/usr/share/doc/kodi
/usr/share/doc/kodi/NEWS.Debian.gz
/usr/share/doc/kodi/README.Debian
/usr/share/doc/kodi/changelog.Debian.gz
...

Looking in /usr/share/applications/kodi.desktop file it seems the command is 'kodi'

Please help me community!
Reply
#2
please provide the output of
apt policy kodi kodi-bin kodi-data


Debians kodi-data should not be installed, you only want kodi and kodi-bin packages from our PPA
Reply
#3
(2022-01-15, 06:49)poi50n Wrote: $ systemctl status kodi
Unit kodi.service could not be found.
Slightly orthogonal to this discussion, but... kodi.service doesn't seem to be part of the kodi package, even though I have one on my (ubuntu) system. 

I can't recall if I created it manually or not... does it came as part of an install?

(I'll happily post a copy of mine here if it helps, @poi50n)
Reply
#4
the PPA does not provide a systemd service
Reply
#5

[email protected]:~$ apt policy kodi kodi-bin kodi-data
kodi:
  Installed: 6:19.3+git20211024.1813-49a04cd6a7-0~focal
  Candidate: 6:19.3+git20211024.1813-49a04cd6a7-0~focal
  Version table:
 *** 6:19.3+git20211024.1813-49a04cd6a7-0~focal 500
        500 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu focal/main amd64 Packages
        500 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu focal/main i386 Packages
        100 /var/lib/dpkg/status
     2:18.6+dfsg1-2ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
kodi-bin:
  Installed: 2:18.6+dfsg1-2ubuntu1
  Candidate: 6:19.3+git20211024.1813-49a04cd6a7-0~focal
  Version table:
     6:19.3+git20211024.1813-49a04cd6a7-0~focal 500
        500 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu focal/main amd64 Packages
 *** 2:18.6+dfsg1-2ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
        100 /var/lib/dpkg/status
kodi-data:
  Installed: (none)
  Candidate: 2:18.6+dfsg1-2ubuntu1
  Version table:
     2:18.6+dfsg1-2ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
        500 http://us.archive.ubuntu.com/ubuntu focal/universe i386 Packages
Reply
#6
Quote:kodi-bin:   Installed: 2:18.6+dfsg1-2ubuntu1y
sudo apt full-upgrade
Reply
#7
(2022-01-16, 07:48)wsnipex Wrote: sudo apt full-upgrade

And that did the tick. Thank you so much. Disappointing I didn't try upgrading first :face-palm:
Reply
#8
Thread marked solved.
|Banned add-ons (wiki)|Forum rules (wiki)|VPN policy (wiki)|First time user (wiki)|FAQs (wiki) Troubleshooting (wiki)|Add-ons (wiki)|Free content (wiki)|Debug Log (wiki)|

Kodi Blog Posts
Reply



Logout Mark Read Team Forum Stats Members Help
After installing kodi getting "Command 'kodi' not found"0
This forum uses Lukasz Tkacz MyBB addons.